Name:		im-chooser
Version:	0.3.3
Release:	6%{?dist}
License:	GPL
URL:		http://trac.tagoh.net/projects/im-chooser/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gtk2-devel intltool gettext libgnomeui-devel

Source0:	http://trac.tagoh.net/download/%{name}/%{name}-%{version}.tar.gz
Source1:	%{name}-po-20061206.tar.bz2

Summary:	Desktop Input Method configuration tool
Group:		Applications/System
Requires(post):	%{_sbindir}/alternatives
Requires(postun): %{_sbindir}/alternatives
Requires:	xorg-x11-xinit >= 1.0.2-5.fc6
Obsoletes:	system-switch-im

%description
im-chooser is an user GUI configuration tool to choose the Input Method
to be used or disable Input Method usage on the desktop.

%prep
%setup -q
(cd po; tar xfj %{SOURCE1})

%build
%configure --with-xinput-suffix=.conf
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
alternatives --install %{_sysconfdir}/X11/xinit/xinputrc xinputrc %{_sysconfdir}/X11/xinit/xinput.d/none.conf 10
alternatives --install %{_sysconfdir}/X11/xinit/xinputrc xinputrc %{_sysconfdir}/X11/xinit/xinput.d/xim.conf 30

%postun
if [ "$1" = 0 ]; then
	alternatives --remove xinputrc %{_sysconfdir}/X11/xinit/xinput.d/none.conf
	alternatives --remove xinputrc %{_sysconfdir}/X11/xinit/xinput.d/xim.conf
fi

%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog
%{_bindir}/*
%{_sysconfdir}/X11/xinit/xinput.d/*
%{_datadir}/applications/im-chooser.desktop
%{_datadir}/pixmaps/im-chooser.png

%changelog
* Wed Dec  6 2006 Akira TAGOH <tagoh@redhat.com> - 0.3.3-6
- another translation updates. (ko.po and kn.po) (#216598)

* Fri Dec  1 2006 Akira TAGOH <tagoh@redhat.com> - 0.3.3-5
- really update translations (add kn.po). (#216598)

* Thu Nov 30 2006 Akira TAGOH <tagoh@redhat.com> - 0.3.3-4
- update translations. (#216598)

* Wed Oct 25 2006 Akira TAGOH <tagoh@redhat.com> - 0.3.3-3
- add Obsoletes: system-switch-im. (#211877)

* Mon Oct  2 2006 Akira TAGOH <tagoh@redhat.com> - 0.3.3-2
- added Assamese, Greek and Marathi translation. (#208258)

* Mon Oct  2 2006 Akira TAGOH <tagoh@redhat.com> - 0.3.3-1
- Translations update release. (#208258, #208512)

* Fri Sep  8 2006 Akira TAGOH <tagoh@redhat.com> - 0.3.2-1
- New upstream release.
  - added an icon. (#199337)
- removed the unnecessary patches:
  - im-chooser-r49.patch
  - im-chooser-r53.patch

* Tue Aug 29 2006 Akira TAGOH <tagoh@redhat.com> - 0.3.1-3
- im-chooser-r53.patch: take care of the suffix to appears current selection.
  (#204433)

* Fri Aug 25 2006 Akira TAGOH <tagoh@redhat.com> - 0.3.1-2
- im-chooser-r49.patch: removed MimeType field from .desktop file. (#203982)

* Tue Aug 15 2006 Akira TAGOH <tagoh@redhat.com> - 0.3.1-1
- New upstream release.

* Mon Jul 24 2006 Akira TAGOH <tagoh@redhat.com> - 0.3.0-2
- New upstream release.
- add libgnomeui-devel to BR.
- im-chooser-suffix-r40.patch: applied to support the recent change
  in the xinput files.

* Thu Jul 20 2006 Akira TAGOH <tagoh@redhat.com> - 0.2.2-2
- rebuilt

* Wed Jul 12 2006 Akira TAGOH <tagoh@redhat.com> - 0.2.2-1
- New upstream release.

* Mon Jul 10 2006 Akira TAGOH <tagoh@redhat.com> - 0.2.1-3
- New upstream release.
- improved the package summary and description.
- added intltool to BuildReq.
- added gettext to BuildReq.

* Fri Jul  7 2006 Akira TAGOH <tagoh@redhat.com> - 0.2.0-1
- New upstream release.
- use dist tag.
- registered xinputrc alternatives for none and xim.
- removed the empty docs.
- add Requires: xorg-x11-xinit >= 1.0.2-5.fc6 for new xinput.sh.

* Wed Jun  7 2006 Akira TAGOH <tagoh@redhat.com> - 0.1.1-1
- Initial package.

